use moa_uapi::{
    device::{DeviceInfo, IrqHandle},
    mem::MemHandle,
};

#[allow(clippy::wildcard_imports)]
use super::*;

#[syscall(SYSNR_DEVICE_COUNT)]
fn sys_device_count() -> isize {
    ERR_NOSYS
}

#[syscall(SYSNR_DEVICE_QUERY)]
fn sys_device_query(index: u32, out: *mut DeviceInfo) -> isize {
    ERR_NOSYS
}

#[syscall(SYSNR_DEVICE_GET_PROP)]
fn sys_device_get_prop(
    index: u32,
    name: *const u8,
    name_len: usize,
    buf: *mut u8,
    buf_len: usize,
) -> isize {
    ERR_NOSYS
}

#[syscall(SYSNR_DEVICE_ACQUIRE)]
fn sys_device_acquire(
    index: u32,
    mems: *mut MemHandle,
    mems_len: usize,
    irqs: *mut IrqHandle,
    irqs_len: usize,
) -> isize {
    ERR_NOSYS
}

#[syscall(SYSNR_DEVICE_RELEASE)]
fn sys_device_release(index: u32) -> isize {
    ERR_NOSYS
}

#[syscall(SYSNR_IRQ_BIND)]
fn sys_irq_bind(irq: u32, chan: u32) -> isize {
    ERR_NOSYS
}

#[syscall(SYSNR_IRQ_UNBIND)]
fn sys_irq_unbind(irq: u32) -> isize {
    ERR_NOSYS
}

#[syscall(SYSNR_IRQ_ACK)]
fn sys_irq_ack(irq: u32) -> isize {
    ERR_NOSYS
}
